Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.security
Class PrivateBlogSecurityInterceptor

    java.lang.Object
      AbstractSecurityInterceptor
          net.sourceforge.pebble.security.PrivateBlogSecurityInterceptor

    public class PrivateBlogSecurityInterceptor

extends AbstractSecurityInterceptor

Specialised FilterSecurityInterceptor that returns its own type of ObjectDefinitionSource. This is acopy-paste job from Acegi's FilterSecurityInterceptor. :-(

Author:
  Simon Brown

Constructor Summary
`PrivateBlogSecurityInterceptor()`

Method Summary
`void` | `destroy()` Not used (we rely on IoC container lifecycle services instead)
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` Method that is actually called by the filter chain.
`FilterInvocationDefinitionSource` | `getObjectDefinitionSource()`
`java.lang.Class` | `getSecureObjectClass()`
`void` | `init(FilterConfig arg0)` Not used (we rely on IoC container lifecycle services instead)
`void` | `invoke(FilterInvocation fi)`
`boolean` | `isObserveOncePerRequest()` Indicates whether once-per-request handling will be observed.
`ObjectDefinitionSource` | `obtainObjectDefinitionSource()`
`void` | `setObserveOncePerRequest(boolean observeOncePerRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateBlogSecurityInterceptor

    public PrivateBlogSecurityInterceptor()

Method Detail

### destroy

    public void destroy()

  Not used (we rely on IoC container lifecycle services instead)

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws java.io.IOException,
                         ServletException

  Method that is actually called by the filter chain. Simply delegates to the `invoke(FilterInvocation)` method.

  Parameters:
    `request` - the servlet request
    `response` - the servlet response
    `chain` - the filter chain
  Throws:
    `java.io.IOException` - if the filter chain fails
    `ServletException` - if the filter chain fails

### getSecureObjectClass

    public java.lang.Class getSecureObjectClass()

### init

    public void init(FilterConfig arg0)
              throws ServletException

  Not used (we rely on IoC container lifecycle services instead)

  Parameters:
    `arg0` - ignored
  Throws:
    `ServletException` - never thrown

### invoke

    public void invoke(FilterInvocation fi)
                throws java.io.IOException,
                       ServletException

  Throws:
    `java.io.IOException`
    `ServletException`

### isObserveOncePerRequest

    public boolean isObserveOncePerRequest()

  Indicates whether once-per-request handling will be observed. By default this is `true`, meaning the `FilterSecurityInterceptor` will only execute once-per-request. Sometimes users may wish it to execute more than once per request, such as when JSP forwards are being used and filter security is desired on each included fragment of the HTTP request.

  Returns:
    `true` (the default) if once-per-request is honoured, otherwise `false` if `FilterSecurityInterceptor` will enforce authorizations for each and every fragment of the HTTP request.

### setObserveOncePerRequest

    public void setObserveOncePerRequest(boolean observeOncePerRequest)

### getObjectDefinitionSource

    public FilterInvocationDefinitionSource getObjectDefinitionSource()

### obtainObjectDefinitionSource

    public ObjectDefinitionSource obtainObjectDefinitionSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.